{
  pkgs,
  lib,
  ...
}: let
  plugins = (import ./extensions.lock) {
    pkgs = pkgs;
    lib = lib;
  };
in {
  programs.vscode = {
    extensions = with plugins;
      [
        # General
        serayuzgur.crates
        tamasfe.even-better-toml
        vadimcn.vscode-lldb
      ]
      ++ [
        pkgs.vscode-extensions.rust-lang.rust-analyzer
      ];
    userSettings = {
    };
  };
}
